corda / net.corda.node / CmdLineOptions

# CmdLineOptions

`data class CmdLineOptions`

### Constructors

<init> | `CmdLineOptions(baseDirectory: Path, configFile: Path, help: Boolean, loggingLevel: Level, logToConsole: Boolean, isRegistration: Boolean)`

### Properties

baseDirectory | `val baseDirectory: Path`
configFile | `val configFile: Path`
help | `val help: Boolean`
isRegistration | `val isRegistration: Boolean`
logToConsole | `val logToConsole: Boolean`
loggingLevel | `val loggingLevel: Level`

### Functions

loadConfig | `fun loadConfig(allowMissingConfig: Boolean = false, configOverrides: Map<String, Any?> = emptyMap()): Config`